require 'dunlop/generators'
class Dunlop::ExecutionBatchGenerator < Rails::Generators::NamedBase
  include Dunlop::Generators::GeneratorHelpers
  source_root File.expand_path('../templates', __FILE__)

  def generate_model
    template "model.rb.erb", "app/models/execution_batch/#{file_name}.rb"
    template "model_spec.rb.erb", "spec/models/execution_batch/#{file_name}_spec.rb"
    #TODO: add and revoke behavior for factories at: spec/factories/execution_batch.rb
  end
end
